{
    attributes = (
        {
            allowsNull = N; 
            columnName = "ID_TYPE_FACTURE"; 
            externalType = NUMBER; 
            name = idTypeFacture; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            allowsNull = Y; 
            columnName = "LIB_TYPE_FACTURE"; 
            externalType = VARCHAR2; 
            name = libTypeFacture; 
            valueClassName = NSString; 
            valueType = S; 
            width = 250; 
        }
    ); 
    className = "org.cocktail.fwkcktlinternat.serveur.metier.EOTypeFacture"; 
    classProperties = (enteteFactures, libTypeFacture); 
    externalName = "LITCHI.TYPE_FACTURE"; 
    fetchSpecificationDictionary = {}; 
    name = "FwkInternat_TypeFacture"; 
    primaryKeyAttributes = (idTypeFacture); 
    relationships = (
        {
            destination = "FwkInternat_EnteteFacture"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = idTypeFacture; sourceAttribute = idTypeFacture; }); 
            name = enteteFactures; 
        }
    ); 
}
